const mongoose = require("mongoose");
const blogSchema = new mongoose.Schema({
  title: {
    type: String,
    require: true,
  },
  author: {
    type: String,
    ref: "Course",
  },
  date: {
    type: Date,
  },
  image: {
    type: String,
    default: "",
  },
  body: {
    type: String,
    required: true,
  },
  isBookMarked: {
    type: Boolean,
    default: false,
  },
});
module.exports = mongoose.model("Blog", blogSchema);
