const express = require("express");
const router = express.Router();
const BlogController = require("../controllers/blog");
const isAuth = require("../middleware/requirelogin");

router.post("/add-blog", BlogController.addBlog);

router.get("/get-all-blogs", BlogController.getAllBlogs);

router.post("/delete-blog/", isAuth, BlogController.deleteBlog);

router.post("/edit-blog/", isAuth, BlogController.editBlog);

module.exports = router;
